﻿using ReportingServices.Models.ProductionReport;
using ReportingServices.ViewModels.ProductionReport;

namespace ReportingServices.Dependency_Injections
{
    public interface IFabTimeReportingRepository
    {
        public Task<List<ReactorOutsByRDS>> GetMovesTrendData(string startDate = "", string endDate = "");
        public Task GetToolStateTrendData(DailyReport rpt, string toolType);
        public Task GetToolStateData(DailyReport rpt, string toolType);
        public Task<T> GetJsonData<T>(string url);
    }
}
